| THM1176InstrumentManager 1.2 Qt Object abstraction for Metrolab THM1176

Loading...
Searching...
No Matches
CTHM1176MeasurementsTest.cpp File Reference

Test THM1176 API: MeasurementsGet, SetFormat. More...

`#include "gtest/gtest.h"`
`#include "THM1176TestUtilities.h"`
`#include <ctime>`
`#include <chrono>`
`#include <thread>`
Include dependency graph for CTHM1176MeasurementsTest.cpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | CTHM1176MeasuresTest
| Test THM1176 API: MeasurementsGet, SetFormat. More...

## Functions
static const I32 | THM1176_NO_MEASUREMENTS (3)
static const U32 | THM1176_AVG_COUNT (100)
static const F64 | THM1176_IMMEDIATE_TIME_PER_ACQ (1.0281823091218700E+05)
static const F64 | THM1176_IMMEDIATE_TIME_PER_MEAS (4.4532792007542600E+04)
static const U64 | THM1176_TIME_PER_MEASUREMENT (static_cast< U64 >(THM1176_IMMEDIATE_TIME_PER_MEAS+THM1176_AVG_COUNT *THM1176_IMMEDIATE_TIME_PER_ACQ+0.5))
| TEST_F (CTHM1176MeasuresTest, SetFormat)
| TEST_F (CTHM1176MeasuresTest, GetFormat)
| TEST_F (CTHM1176MeasuresTest, MeasurementsGet)
| TEST_F (CTHM1176MeasuresTest, MeasurementsGetArbitrary)
| TEST_F (CTHM1176MeasuresTest, ApplyRotationMatrix)

## Detailed Description

Test THM1176 API: MeasurementsGet, SetFormat.

Definition in file CTHM1176MeasurementsTest.cpp.

## Function Documentation

## ◆ TEST_F() [1/5]

TEST_F | ( | CTHM1176MeasuresTest | ,
|  | ApplyRotationMatrix | )

Test
  Test that angle correction is not applied under the proper circumstances.

Definition at line 976 of file CTHM1176MeasurementsTest.cpp.

## ◆ TEST_F() [2/5]

TEST_F | ( | CTHM1176MeasuresTest | ,
|  | GetFormat | )

Test
  Test GetFormat method.

Definition at line 110 of file CTHM1176MeasurementsTest.cpp.

## ◆ TEST_F() [3/5]

TEST_F | ( | CTHM1176MeasuresTest | ,
|  | MeasurementsGet | )

Test
  Test MeasurementsGet method: simple variant.

Definition at line 135 of file CTHM1176MeasurementsTest.cpp.

## ◆ TEST_F() [4/5]

TEST_F | ( | CTHM1176MeasuresTest | ,
|  | MeasurementsGetArbitrary | )

Test
  Test MeasurementsGet method: variant with sArbitraryMeasurements selection.

Definition at line 637 of file CTHM1176MeasurementsTest.cpp.

## ◆ TEST_F() [5/5]

TEST_F | ( | CTHM1176MeasuresTest | ,
|  | SetFormat | )

Test
  Test SetFormat method.

Definition at line 81 of file CTHM1176MeasurementsTest.cpp.

## ◆ THM1176_AVG_COUNT()

const U32 THM1176_AVG_COUNT | ( | 100 |  | ) |
| static

## ◆ THM1176_IMMEDIATE_TIME_PER_ACQ()

const F64 THM1176_IMMEDIATE_TIME_PER_ACQ | ( | 1.0281823091218700E+ | 05 | ) |
| static

## ◆ THM1176_IMMEDIATE_TIME_PER_MEAS()

const F64 THM1176_IMMEDIATE_TIME_PER_MEAS | ( | 4.4532792007542600E+ | 04 | ) |
| static

## ◆ THM1176_NO_MEASUREMENTS()

const I32 THM1176_NO_MEASUREMENTS | ( | 3 |  | ) |
| static

## ◆ THM1176_TIME_PER_MEASUREMENT()

const U64 THM1176_TIME_PER_MEASUREMENT | ( | static_cast< U64 > | THM1176_IMMEDIATE_TIME_PER_MEAS+THM1176_AVG_COUNT *THM1176_IMMEDIATE_TIME_PER_ACQ+0.5 | ) |
| static